Run of fresh-snapshots for golang-github-gobuffalo-packr

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
[2022-10-03 13:55:55] Opening branch at https://gitlab.com/kalilinux/packages/golang-github-gobuffalo-packr.git/,branch=kali%2Fmaster
[2022-10-03 13:55:56] Using cached branch file:///home/janitor/vcs/git/golang-github-gobuffalo-packr/,branch=kali%2Flatest
[2022-10-03 13:56:08] 0), pack-reused 3
[2022-10-03 13:56:08] All changes applied successfully.
[2022-10-03 13:56:14] ), done.
Compressing objects:   4% (1/23)
Compressing objects:   8% (2/23)
Compressing objects:  13% (3/23)
Compressing objects:
[2022-10-03 13:56:14] Workspace ready - starting.
[2022-10-03 13:56:14] Running ['deb-new-upstream', '--snapshot', '--debian-revision=0kali1', '--refresh-patches']
[2022-10-03 13:56:14] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/gobuffalo/packr.git (from configuration)
Using upstream branch https://github.com/gobuffalo/packr.git (from configuration)
Total 2038 (delta 28), reused 41 (delta 19), pack-reused 1981
Total 2038 (delta 28), reused 41 (delta 19), pack-reused 1981
Using version string 2.8.3.
No upstream upstream-revision format specified, trying tag:1.30.1
No upstream upstream-revision format specified, trying tag:1.30.1
No upstream upstream-revision format specified, trying tag:golang-github-gobuffalo-packr-1.30.1
No upstream upstream-revision format specified, trying tag:golang-github-gobuffalo-packr-1.30.1
No upstream upstream-revision format specified, trying tag:v1.30.1
No upstream upstream-revision format specified, trying tag:v1.30.1
Not including upstream history, since previous upstream version (1.30.1) is not present in packaging branch history.
Looking for upstream 2.8.3 in upstream branch https://github.com/gobuffalo/packr.git/.
Looking for upstream 2.8.3 in upstream branch https://github.com/gobuffalo/packr.git/.
Running dist command: SCHROOT=kali-dev-amd64-sbuild PYTHONPATH=/:/opt/janitor/ognibuild:/opt/janitor/buildlog-consultant:/opt/janitor/upstream-ontologist:/opt/janitor:/opt/janitor/lintian-brush:/opt/janitor/breezy:/opt/janitor/silver-platter:/opt/janitor/dulwich:/opt/janitor/python-debian/lib:/opt/janitor/debmutate:/home/janitor:/usr/lib/python37.zip:/usr/lib/python3.7:/usr/lib/python3.7/lib-dynload:/usr/local/lib/python3.7/dist-packages:/usr/lib/python3/dist-packages:/usr/lib/python3.7/dist-packages /usr/bin/python3 -m janitor.debian.dist --packaging=/home/janitor/tmp/janitor2qxdiamf/golang-github-gobuffalo-packr.git/debian
Running dist command: SCHROOT=kali-dev-amd64-sbuild PYTHONPATH=/:/opt/janitor/ognibuild:/opt/janitor/buildlog-consultant:/opt/janitor/upstream-ontologist:/opt/janitor:/opt/janitor/lintian-brush:/opt/janitor/breezy:/opt/janitor/silver-platter:/opt/janitor/dulwich:/opt/janitor/python-debian/lib:/opt/janitor/debmutate:/home/janitor:/usr/lib/python37.zip:/usr/lib/python3.7:/usr/lib/python3.7/lib-dynload:/usr/local/lib/python3.7/dist-packages:/usr/lib/python3/dist-packages:/usr/lib/python3.7/dist-packages /usr/bin/python3 -m janitor.debian.dist --packaging=/home/janitor/tmp/janitor2qxdiamf/golang-github-gobuffalo-packr.git/debian
Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/session/schroot.py", line 85, in __enter__
    ["schroot", "-c", self.chroot, "-b"], stderr=stderr)
  File "/usr/lib/python3.7/subprocess.py", line 395, in check_output
    **kwargs).stdout
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['schroot', '-c', 'kali-dev-amd64-sbuild', '-b']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/opt/janitor/janitor/debian/dist.py", line 108, in <module>
    session = es.enter_context(SchrootSession(args.schroot))
  File "/usr/lib/python3.7/contextlib.py", line 426, in enter_context
    result = _cm_type.__enter__(cm)
  File "/opt/janitor/ognibuild/ognibuild/session/schroot.py", line 97, in __enter__
    errlines[-1].decode(), errlines=errlines)
ognibuild.session.SessionSetupFailure: E: kali-dev-amd64-sbuild: Chroot not found

Command 'SCHROOT=kali-dev-amd64-sbuild PYTHONPATH=/:/opt/janitor/ognibuild:/opt/janitor/buildlog-consultant:/opt/janitor/upstream-ontologist:/opt/janitor:/opt/janitor/lintian-brush:/opt/janitor/breezy:/opt/janitor/silver-platter:/opt/janitor/dulwich:/opt/janitor/python-debian/lib:/opt/janitor/debmutate:/home/janitor:/usr/lib/python37.zip:/usr/lib/python3.7:/usr/lib/python3.7/lib-dynload:/usr/local/lib/python3.7/dist-packages:/usr/lib/python3/dist-packages:/usr/lib/python3.7/dist-packages /usr/bin/python3 -m janitor.debian.dist --packaging=/home/janitor/tmp/janitor2qxdiamf/golang-github-gobuffalo-packr.git/debian' returned non-zero exit status 1.
Full worker log

Publish Blockers